package org.rcisoft.business.blabel.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

/**
 * @author luzhuang
 * @Description:
 * @date 2020/8/10 12:43
 */
@Data
public class SearchParamDTO {

    @ApiModelProperty(value = "标签名")
    private String lName;

    @ApiModelProperty(value = "查询类型 0 全部 1 推荐 2在学 3收藏 4兴趣 5平台")
    private String searchType;

    @ApiModelProperty(value = "课程类型（0：课程 1：培训）")
    private String lessonType;

    @ApiModelProperty(value = "查询参数")
    private String viewParam;

}
